
class BlankCostumeB extends goCostume;

var(goCostume) Texture BlankCostumeTextureChoice;
var(goCostume) Mesh BlankCostumeMeshChoice;
var(goCostume) Texture BlankMultiSkinZero, BlankMultiSkinOne, BlankMultiSkinTwo, BlankMultiSkinThree, BlankMultiSkinFour,
								BlankMultiSkinFive, BlankMultiSkinSix, BlankMultiSkinSeven;
state Activated
{
Begin:
	PlaySound(ActivateSound);
	if (Owner.IsA('PlayerPawn'))
	{
		Owner.Mesh = BlankCostumeMeshChoice;
		Owner.Skin = BlankCostumeTextureChoice;
		
		if ((BlankMultiSkinZero != none) || (BlankMultiSkinOne != none))
		{
			Owner.Multiskins[0] = BlankMultiSkinZero;
			Owner.Multiskins[1] = BlankMultiSkinOne;
			Owner.Multiskins[2] = BlankMultiSkinTwo;
			Owner.Multiskins[3] = BlankMultiSkinThree;
			Owner.Multiskins[4] = BlankMultiSkinFour;
			Owner.Multiskins[5] = BlankMultiSkinFive;
			Owner.Multiskins[6] = BlankMultiSkinSix;
			Owner.Multiskins[7] = BlankMultiSkinSeven;
		}
	}
}

state DeActivated
{
Begin:
	Owner.PlaySound(DeActivateSound);
	Owner.Mesh = Owner.Default.Mesh;
	Owner.Skin = Owner.Default.Skin;
	Owner.Multiskins[0] = Owner.Default.Multiskins[0];
	Owner.Multiskins[1] = Owner.Default.Multiskins[1];
	Owner.Multiskins[2] = Owner.Default.Multiskins[2];
	Owner.Multiskins[3] = Owner.Default.Multiskins[3];
	Owner.Multiskins[4] = Owner.Default.Multiskins[4];
	Owner.Multiskins[5] = Owner.Default.Multiskins[5];
	Owner.Multiskins[6] = Owner.Default.Multiskins[6];
	Owner.Multiskins[7] = Owner.Default.Multiskins[7];
}

defaultproperties
{
}