
class goCostume extends TournamentPickup;

#exec TEXTURE IMPORT NAME=Groucho FILE=Textures/Groucho.bmp
#exec TEXTURE IMPORT NAME=GrouchoIcon FILE=Textures/GrouchoIcon.bmp

#exec AUDIO IMPORT NAME=ZipUp 	FILE=Sounds\ZipUp.wav
#exec AUDIO IMPORT NAME=ZipDown 	FILE=Sounds\ZipDown.wav

function PickupFunction(Pawn Other)
{
   local Inventory I;
   
     for (I=Owner.Inventory; I!=None; I=I.Inventory)
      if (I.IsA('goCostume') && (I != self))
         I.Destroy();
}

auto state Pickup
{
	function Touch( actor Other )
	{
		local Inventory Copy;
		if ( ValidTouch(Other) )
		{
			Pawn(Other).ClientMessage(PickupMessage, 'Pickup');	// add to inventory and run pickupfunction
			PlaySound (PickupSound,,2.0);
			Copy = SpawnCopy(Pawn(Other));
			if (bActivatable && Pawn(Other).SelectedItem==None)
				Pawn(Other).SelectedItem=Copy;
			Copy.Activate();
			Pickup(Copy).PickupFunction(Pawn(Other));
		}
	}
}

state DeActivated
{
Begin:
	Owner.PlaySound(DeActivateSound);
	Owner.Mesh = Owner.Default.Mesh;
	Owner.Skin = Owner.Default.Skin;
}

defaultproperties
{
PickupMessage="You changed your goCostume"
PickupSound=Sound'UnrealShare.Pickups.GenPickSnd'
ActivateSound=Sound'ZipUp'
DeActivateSound=Sound'ZipDown'
RespawnTime=5.000000
bAutoActivate=True
bActivatable=True
bDisplayableInv=False
bUnlit=True
DrawType=DT_Sprite
Texture=Texture'Groucho'
Style=STY_Masked
DrawScale=0.25
PickupViewScale=0.25
Charge=1
Icon=Texture'GrouchoIcon'
RemoteRole=ROLE_DumbProxy
CollisionRadius=30.000000
CollisionHeight=30.000000
}